<?PHP
require "settings.php";
require "sources/authorize.php";
if (!($adminenabled)) {
  header('Location: index.php');
}

function cmp($a, $b)
{
  if ($a == $b) {
    return 0;
  }
  if ($a == "-") {
    return 1;
  }
  if ($b == "-") {
    return -1;
  }
  if ($a < $b) {
    return -1;
  } else {
    return 1;
  }
}

$filename = 'data/tilaukset.dat';
$datalist = array();
$prices = array();
$finallist = array();
$finalpricelist = array();
$totalprice = 0;
if (file_exists($filename)) {
  $data = file("data/tilaukset.dat");
  $pizzalist = file("data/list.dat");
  foreach($data as $key => $line) {
    $line = explode("|",$line);
    if (!($line[10] == "MAKSETTU\n")) {
      continue;
    }
    $fillslist = array($line[5], $line[6], $line[7], $line[8]);
    $fantasia = false;
    $fantasia2 = false;
    $pizzaname = "";
    usort($fillslist,"cmp");
    foreach($pizzalist as $key2 => $pizza) {
      $pizzasub = explode("|",$pizza);
      if ($pizzasub[0] == $line[2]) {
	$pizzaname = $pizzasub[1];
	if ($key2 == $specialpizza) {
	  $fantasia = true;
	} else {
	  if ($key2 == $specialpizza2) {
	    $fantasia2 = true;
	  }
	}
      }
    }
    $datalist[$key] = $line[2]." ".$pizzaname;
    switch ($line[3]) {
      case "normaali": $datalist[$key] .= ", normaalikoko"; break;
      case "perhe": $datalist[$key] .= ", perhekoko"; break;
    }
    if ($fantasia) {
      $datalist[$key] .= ", täytteet: ";
      if (!($fillslist[0] == "-")) {
	$datalist[$key] .= $fillslist[0];
	if (!($fillslist[1] == "-")) {
	  $datalist[$key] .= ", ".$fillslist[1];
	  if (!($fillslist[2] == "-")) {
	    $datalist[$key] .= ", ".$fillslist[2];
	    if (!($fillslist[3] == "-")) {
	      $datalist[$key] .= ", ".$fillslist[3];
	    }
	  }
	}
      } else {
	$datalist[$key] .= "none";
      }
    } else {
      if ($fantasia2) {
	$datalist[$key] .= ", täytteet: ";
	if (!($fillslist[0] == "-")) {
	  $datalist[$key] .= $fillslist[0];
	  if (!($fillslist[1] == "-")) {
	    $datalist[$key] .= ", ".$fillslist[1];
	  }
	} else {
	  $datalist[$key] .= "none";
	}
      }
    }
    $prices[$datalist[$key]] = (float)str_replace(",",".",substr($line[4],0,-1));
  }
  sort($datalist);
  $num = 1;
  $ind = 0;
  foreach($datalist as $key => $text) {
    if ($key == 0) {
      continue;
    }
    if ($text == $datalist[$key - 1]) {
      $num++; continue;
    }
    $finallist[$ind] = $datalist[$key - 1]."</td><td class=\"checkcell\">".$num;
    $finalpricelist[$ind] = $prices[$datalist[$key - 1]] * $num;
    $totalprice += $finalpricelist[$ind];
    $num = 1;
    $ind++;
  }
  $finallist[$ind] = $datalist[count($datalist) - 1]."</td><td class=\"checkcell\">".$num;
  $finalpricelist[$ind] = $prices[$datalist[count($datalist) - 1]] * $num;
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xml:lang="en" lang="en" xmlns="http://www.w3.org/1999/xhtml"> 
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="style.css" />
    <!--<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
    <link rel="icon" href="favicon.ico" type="image/x-icon" />-->
    <title><?PHP echo $pagetitle.$pagetitlemid; ?>Lopullinen lista</title>
  </head>
  <body>
    <?PHP
      include "sources/header.php";
    ?>
    <div class="middle">
      <table width="99%; padding: 0px; margin: 0px; border-collapse: collapse;">
	<tr>
	  <td width="20%" style="vertical-align: top;">
	    <?PHP
	      include "sources/sidebar.php";
	    ?>
	  </td>
	  <td width="80%" style="vertical-align: top;">
	    Tällä sivulla näet kokonaisuudessaan kaikki tilatut ja maksetut pizzat (tilana MAKSETTU) mahdollisimman tiiviissä muodossa. Pizzeriasta jo tilatut tuotteet (tilana UUNISSA ja eteenpäin) eivät enää näy listalla.
	    <div class="content">
	      <table class="checktable">
		<tr>
		  <td class="titlecell" width="60%">Pizzatyyppi</td>
		  <td class="titlecell" width="20%">Lukumäärä</td>
		  <td class="titlecell" width="20%">Yhteishinta</td>
		</tr>
		<?PHP
		  foreach($finallist as $key => $value) {
		    echo "<tr class=\"cellrow\"><td class=\"checkcell\">".$value."</td><td class=\"checkcell\">".number_format($finalpricelist[$key],2)."&euro;</td></tr>";
		  }
		  echo "<tr class=\"cellrow\"><td class=\"checkcell totalfield\" colspan=\"2\">Kaikki tilaukset yhteensä:</td><td class=\"checkcell\" style=\"font-weight: bold;\">".number_format($totalprice,2)."&euro;</td></tr>";
		?>
	      </table>
	    </div>
	  </td>
	</tr>
      </table>
    </div>
    <?PHP
      include "sources/footer.php";
    ?>
  </body>
</html>